# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/Eksblowfish.pm) perl(Crypt/OpenSSL/Random.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/PP.pm) perl(MIME/Base64.pm) perl(Test/More.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define module_name PHP-Functions-Password
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.07
Release: alt1
Summary: This module provides ported PHP password functions.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CM/CMANLEY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides ported PHP password functions.
This module only supports the bcrypt algorithm, as is the case with the equivalent PHP functions at the date of writing this.
All functions may also be called as class methods and support inheritance too.
See http://php.net/manual/en/ref.password.php for detailed usage instructions.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1
- initial import by package builder

